Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2785813002: arc: Provide UMA for OptIn flow. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 3 weeks ago by khmel
Modified:
6 months, 3 weeks ago
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, oshima+watch_chromium.org, yusukes+watch_chromium.org, hidehiko+watch_chromium.org, asvitkine+watch_chromium.org, lhchavez+watch_chromium.org, victorhsieh+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

arc: Provide UMA for OptIn flow. We have set of different UMAs for ARC that we can use to analyze how OptIn flow passed. However there was no metric that explicitly defines how OptIn finished. This adds top level metric that shows how OptIn has finished. BUG=706564 TEST=Various modes for managed/unmanaged users. chrome://histograms shows expected results. Review-Url: https://codereview.chromium.org/2785813002 Cr-Commit-Position: refs/heads/master@{#460892} Committed: https://chromium.googlesource.com/chromium/src/+/8575dd76a6ceb99e0c87738d6ccc3db0c70d5176

Patch Set 1 #

Total comments: 7

Patch Set 2 : use scoped tracker #

Total comments: 2

Patch Set 3 : comment added #

Unified diffs Side-by-side diffs Delta from patch set Stats (+177 lines, -15 lines) Patch
M chrome/browser/chromeos/arc/arc_optin_uma.h View 1 2 chunks +72 lines, -14 lines 0 comments Download
M chrome/browser/chromeos/arc/arc_optin_uma.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/arc/arc_session_manager.h View 1 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/arc/arc_session_manager.cc View 1 2 7 chunks +74 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 2 chunks +21 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (7 generated)
khmel
Hi Ilya and Luis, PTAL Thanks! https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_session_manager.cc File chrome/browser/chromeos/arc/arc_session_manager.cc (right): https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_session_manager.cc#newcode609 chrome/browser/chromeos/arc/arc_session_manager.cc:609: UpdateOptInCancelUMA(OptInCancelReason::SESSION_BUSY); We never ...
6 months, 3 weeks ago (2017-03-29 21:41:09 UTC) #2
Ilya Sherman
Metrics LGTM
6 months, 3 weeks ago (2017-03-29 21:57:44 UTC) #3
Luis Héctor Chávez
sorry for the delay. https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_optin_uma.h File chrome/browser/chromeos/arc/arc_optin_uma.h (right): https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_optin_uma.h#newcode31 chrome/browser/chromeos/arc/arc_optin_uma.h:31: // Canceled by user. The ...
6 months, 3 weeks ago (2017-03-30 15:49:25 UTC) #4
khmel
Thank you Luis for comments! PTAL updated version https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_optin_uma.h File chrome/browser/chromeos/arc/arc_optin_uma.h (right): https://codereview.chromium.org/2785813002/diff/1/chrome/browser/chromeos/arc/arc_optin_uma.h#newcode31 chrome/browser/chromeos/arc/arc_optin_uma.h:31: // ...
6 months, 3 weeks ago (2017-03-30 17:01:43 UTC) #5
Luis Héctor Chávez
lgtm with a nit. https://codereview.chromium.org/2785813002/diff/20001/chrome/browser/chromeos/arc/arc_session_manager.cc File chrome/browser/chromeos/arc/arc_session_manager.cc (right): https://codereview.chromium.org/2785813002/diff/20001/chrome/browser/chromeos/arc/arc_session_manager.cc#newcode80 chrome/browser/chromeos/arc/arc_session_manager.cc:80: class ArcSessionManager::ScopedOptInFlowTracker { Please add ...
6 months, 3 weeks ago (2017-03-30 17:07:21 UTC) #6
khmel
Thank you! https://codereview.chromium.org/2785813002/diff/20001/chrome/browser/chromeos/arc/arc_session_manager.cc File chrome/browser/chromeos/arc/arc_session_manager.cc (right): https://codereview.chromium.org/2785813002/diff/20001/chrome/browser/chromeos/arc/arc_session_manager.cc#newcode80 chrome/browser/chromeos/arc/arc_session_manager.cc:80: class ArcSessionManager::ScopedOptInFlowTracker { On 2017/03/30 17:07:20, Luis ...
6 months, 3 weeks ago (2017-03-30 17:21:07 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2785813002/40001
6 months, 3 weeks ago (2017-03-30 17:22:04 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/183577)
6 months, 3 weeks ago (2017-03-30 18:38:59 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2785813002/40001
6 months, 3 weeks ago (2017-03-30 18:39:56 UTC) #14
commit-bot: I haz the power
6 months, 3 weeks ago (2017-03-30 21:44:13 UTC) #17
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/8575dd76a6ceb99e0c87738d6ccc...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa